<?php

namespace App\Models;

use Eloquent as Model;

/**
 * Class BoardTasks
 * @package App\Models
 * @version July 21, 2022, 12:15 pm UTC
 *
 */
class BoardTasks extends Model
{

    public $table = 'board_tasks';


    public function timers()
    {
        return $this->hasMany(TaskTimers::class, 'task_id', 'task_id');
    }

    public function assigned_user_detail()
    {
        return $this->hasOne(BoardCollaborators::class,'collaborator_id','assigned_user_id');
    }
}